# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		yencode
Version:	0.46
Release:	alt1_22
Summary:	Usenet yEnc encoder,decoder and poster
Group:		Networking/News
License:	GPLv2+
URL:		https://sourceforge.net/projects/yencode/
Source0:	https://prdownloads.sourceforge.net/yencode/yencode-0.46.tar.bz2
Patch0:		yencode-0.46-fix-str-fmt.patch
BuildRequires:	gettext-tools libasprintf-devel libtextstyle-devel
Source44: import.info

%description
yencode is an encoder, decoder, and  posting  package  for  the  popular
Usenet yEnc encoding format. It features the ability to encode single or
multipart archives, a smart decoder  which  can  decode  multiple  files
(including files specified out of order or with nonsense filenames),  an
optional scan mode with recursion, and an easy  to  use  Usenet  posting
utility. It is fully compliant with the yEnc specifications.


%prep
%setup -q
%patch0 -p1

%build
%configure
%make_build

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.46-alt1_22
- update by mgaimport

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 0.46-alt1_21
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.46-alt1_20
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.46-alt1_19
- update by mgaimport

* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 0.46-alt1_18
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.46-alt1_17
- new version

